Subject: bug#12495: AC_CONFIG_HEADERS with

From: Hib Eris <[email-masked]>
Date: Mon, 24 Sep 2012 11:20:33 +0200

Hi,

On Mon, Sep 24, 2012 at 10:53 AM, Peter Johansson <[email-masked]> wrote:
>> I have attached an example setup.
>> After running 'autoreconf -fi', I get a lib/Makefile.in with an rule
>> to create $(srcdir)/config-public.h.in calling $(AUTOHEADER).
>>
>>
> Yes, this looks like a bug IMVHO. The difference between your setup and mine
> is that I only have one Makefile. But I just recently converted to
> non-recursive makefiles, and haven't noticed this bug, which suggests this
> is a recent regression (1.12???).

I get this with both automake 1.11.1 and current master. It seems to
be there since this commit:

commit 262bb922f4ad55cebe9b7a7a6c6fa9ff67fb3ee9
Author: Alexandre Duret-Lutz <[email-masked]>
Date:   Mon Jan 5 09:02:06 2004 +0000

Cheers,
Hib